config/routes.rb
Rails.application.routes.draw do
  get 'products/index'
  root to: 'static_pages#home'
  get '/home', to: 'static_pages#home'
  get 'add_cart', to: 'orders#create'
  get 'cart', to: 'orders#show'
  delete 'delete_cart', to: 'orders#destroy'
  devise_for :users
  get 'add_quantity', to: 'orders#add_quantity'
  get 'reduce_quantity', to: 'orders#reduce_quantity'
  scope "(:locale)", locale: /en|vi/ do
    resources :users do
      # get "login" => "devise/sessions#new"
      # post "signin" => "devise/sessions#create"
      # delete "signout" => "devise/sessions#destroy"
      # get "register" => "devise/registrations#new"
    end
    resources :products
  end
  resource :order, only: [:create, :update, :destroy, :add_quantity]
  resource :user, only: [:edit, :update]
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/category.rb
class Category < ApplicationRecord
end

app/models/order.rb
class Order < ApplicationRecord
  belongs_to :user
  has_many :order_items, dependent: :destroy

  accepts_nested_attributes_for :order_items, reject_if: :all_blank, allow_destroy: true
end

app/models/order_item.rb
class OrderItem < ApplicationRecord
  belongs_to :order
  belongs_to :product
end

app/models/product.rb
class Product < ApplicationRecord
  has_many :order_items, dependent: :destroy

  validates :title, presence: true, length: {maximum: Settings.products.max_title_length}
  validates :type_product, presence: true, length: {maximum: Settings.products.max_type_length}
  validates :price, presence: true, 
            numericality: {
              less_than_or_equal_to: Settings.products.max_price,
              greater_than_or_equal_to: Settings.products.min_price}
  validates :quantity, presence: true, 
            numericality: {
            less_than_or_equal_to: Settings.products.max_quantity,
            greater_than_or_equal_to: Settings.products.min_quantity,
            only_integer: true}
  validates :content, presence: true, length: {maximum: Settings.products.max_content_length}
end

app/models/product_category.rb
class ProductCategory < ApplicationRecord
end

app/models/user.rb
class User < ApplicationRecord
  has_many :order_item, dependent: :destroy
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :validatable
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception

  before_action :configure_permitted_parameters, if: :devise_controller?
  before_action :set_locale
  helper_method :current_order

  def current_order
    if !user_session[:order_id].nil? || Order.find_by(user_id: current_user.id)
      Order.find_by(user_id: current_user.id )
    else
      Order.new do |o|
        o.user_id = current_user.id
      end
    end
  end
  private

  def set_locale
    I18n.locale = params[:locale] || I18n.default_locale
  end

  def default_url_options
    {locale: I18n.locale}
  end
  

  protected
 
  def configure_permitted_parameters
    added_attrs = [:name, :address, :mobile, :email, :password, :password_confirmation, :remember_me]
    devise_parameter_sanitizer.permit :sign_up, keys: added_attrs
    devise_parameter_sanitizer.permit :account_update, keys: added_attrs
  end
end

app/controllers/orders_controller.rb
class OrdersController < ApplicationController
  before_action :find_params, only: [:show]
  before_action :authenticate_user!
  def new
    @order = Order.new
    @order.order_items.build
  end
  def show
    @order_items = current_order.order_items
  end
  def create
    product = Product.find_by(id: params[:id])
    @order = current_order
    @order_items = @order.order_items.build do |o|
      o.product_id = product.id
      o.user_id = current_user.id
      o.order_id = current_order.id
      o.status = 0
      o.price = product.price
      o.quantity = 1
    end
    if @order_items.save
      flash[:success] = "Add product to cart successfully."
      redirect_to products_url
    else 
      flash[:danger] = "Add product to cart fail"
    end 
    session[:order_id] = @order.id
  end
  def add_quantity

    @order = current_order
    @order_items = @order.order_items.find_by(id: params[:id])
    @order_items.quantity += 1
    if @order_items.save
      flash[:success] = "Add quantity success."
      @order_items = @order.order_items
    render :show
    else
      flash[:danger] = "Add quantity fail"
    end
  end
  def reduce_quantity
    @order = current_order
    @order_items = @order.order_items.find_by(id: params[:id])
    if @order_items.quantity > 1
      @order_items.quantity -= 1
      @order_items.save
      flash[:success] = "Reduce quantity success."
    else 
      @order_items.destroy
      flash[:success] = "Delete product cart"
    end
    @order_items = @order.order_items
    render :show
  end

  def destroy
    @order = current_order
    order_items = @order.order_items.find_by(id: params[:id])
    if order_items.destroy
      flash[:success] = "Delete product cart success."
    else 
      flash[:danger] = "Delete product cart fail."
    end
    @order_items = @order.order_items
    render :show
  end
  private
    def order_params
      params.require(:order).permit :user_id,:subTotal,:tax,:total,
       order_items_attributes: [:product_id, :order_id, :status, :price, :quantity, :content]
    end
    def find_params
      @order = Order.find_by(id: params[:id])
    end
end

app/controllers/products_controller.rb
class ProductsController < ApplicationController
  before_action :find_params, except: %i[create new index]
  before_action :authenticate_user!, except: [:index, :show]

  def index
    @products = Product.paginate(page: params[:page], per_page: 15)
    # @product = Product.all
  end

  def show
  end

  def create
    @product = Product.new(product_params)
    if @product.save
      flash[:success] = "Add product success."
      redirect_to @product
    else
      flash[:danger] = "Add product fail"
      redirect_to @product
    end
  end

  def update
    if @product.update(product_params)
      flash[:success] = "Product was successfully updated."
      redirect_to products_url
    else
      flash[:danger] = "Product update fail"
      render :edit
    end

  end

  def destroy
    if @product.destroy
      flash[:success] = "Product_deleted"
    else
      flash[:danger] = "Delete_product_fail"
    end
    redirect_to products_url
  end

  private
    def product_params
      params.require(:product).permit :title, :type_product, :price, :quantity, :content, :url_image
    end

    def find_params
      @product = Product.find_by(id: params[:id])
    end
end

app/controllers/static_pages_controller.rb
class StaticPagesController < ApplicationController
  def home
  end
end

app/controllers/users_controller.rb
class UsersController < ApplicationController
  before_action :find_user, only: [:show, :edit, :destroy, :update]

  def new
  end
  
  def show
    @products = Product.paginate(page: params[:page])
  end

  def edit
    @user = current_user
  end

  def index
    @users = User.paginate(page: params[:page])
  end
  def create
    @user = User.new(user_params) 
    if @user.save
      redirect_to @user
    else
      render 'new'
    end
  end

  def update
    if @user.update(user_params)
      flash[:success] = "Profile was successfully updated."
      redirect_to @user
    else
      flash[:danger] = "Update profile fail."
      render 'edit'
    end
  end

  def destroy
    if @user.destroy
      flash[:success] = "User_deleted"
    else
      flash[:danger] = "Delete_fail"
    end
    redirect_to users_url
  end

  private
      
    def user_params
      params.require(:user).permit(:name, :email, :address, :mobile, :password, :password_confirmation)
    end
  
    def find_user
      @user = User.find_by id: params[:id]
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/orders_helper.rb
module OrdersHelper
  def total
    sum = 0
    @order_items.each do |o| 
      sum += o.price * o.quantity
    end
    sum.round(2)
  end
end

app/helpers/products_helper.rb
module ProductsHelper
end

app/helpers/static_pages_helper.rb
module StaticPagesHelper
end

app/helpers/users_helper.rb
module UsersHelper
  def gravatar_for(user, options = { size: 80 })
    size = options[:size]
    gravatar_id = Digest::MD5::hexdigest(user.email.downcase)
    gravatar_url = "https://secure.gravatar.com/avatar/#{gravatar_id}?s=#{size}"
    image_tag(gravatar_url, alt: user.name, class: "gravatar")
  end
end

app/views/layouts/_footer.html.erb
<footer id="footer"><!--Footer-->
		<div class="footer-top">
			<div class="container">
				<div class="row">
					<div class="col-sm-2">
						<div class="companyinfo">
							<h2><span>e</span>-shopper</h2>
							<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit,sed do eiusmod tempor</p>
						</div>
					</div>
					<div class="col-sm-7">
						<div class="col-sm-3">
							<div class="video-gallery text-center">
								<a href="#">
									<div class="iframe-img">
										<%= image_tag "home/iframe1.png", alt: ""%>
									</div>
									<div class="overlay-icon">
										<i class="fa fa-play-circle-o"></i>
									</div>
								</a>
								<p>Circle of Hands</p>
								<h2>24 DEC 2014</h2>
							</div>
						</div>
						
						<div class="col-sm-3">
							<div class="video-gallery text-center">
								<a href="#">
									<div class="iframe-img">
                    					<%= image_tag "home/iframe2.png", alt: ""%>
									</div>
									<div class="overlay-icon">
										<i class="fa fa-play-circle-o"></i>
									</div>
								</a>
								<p>Circle of Hands</p>
								<h2>24 DEC 2014</h2>
							</div>
						</div>
						
						<div class="col-sm-3">
							<div class="video-gallery text-center">
								<a href="#">
									<div class="iframe-img">
                    					<%= image_tag "home/iframe3.png", alt: ""%>
									</div>
									<div class="overlay-icon">
										<i class="fa fa-play-circle-o"></i>
									</div>
								</a>
								<p>Circle of Hands</p>
								<h2>24 DEC 2014</h2>
							</div>
						</div>
						
						<div class="col-sm-3">
							<div class="video-gallery text-center">
								<a href="#">
									<div class="iframe-img">
                    					<%= image_tag "home/iframe4.png", alt: ""%>
									</div>
									<div class="overlay-icon">
										<i class="fa fa-play-circle-o"></i>
									</div>
								</a>
								<p>Circle of Hands</p>
								<h2>24 DEC 2014</h2>
							</div>
						</div>
					</div>
					<div class="col-sm-3">
						<div class="address">
              				<%= image_tag "home/map.png", alt: ""%>
							<p>505 S Atlantic Ave Virginia Beach, VA(Virginia)</p>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="footer-widget">
			<div class="container">
				<div class="row">
					<div class="col-sm-2">
						<div class="single-widget">
							<h2>Service</h2>
							<ul class="nav nav-pills nav-stacked">
								<li><a href="#">Online Help</a></li>
								<li><a href="#">Contact Us</a></li>
								<li><a href="#">Order Status</a></li>
								<li><a href="#">Change Location</a></li>
								<li><a href="#">FAQ’s</a></li>
							</ul>
						</div>
					</div>
					<div class="col-sm-2">
						<div class="single-widget">
							<h2>Quock Shop</h2>
							<ul class="nav nav-pills nav-stacked">
								<li><a href="#">T-Shirt</a></li>
								<li><a href="#">Mens</a></li>
								<li><a href="#">Womens</a></li>
								<li><a href="#">Gift Cards</a></li>
								<li><a href="#">Shoes</a></li>
							</ul>
						</div>
					</div>
					<div class="col-sm-2">
						<div class="single-widget">
							<h2>Policies</h2>
							<ul class="nav nav-pills nav-stacked">
								<li><a href="#">Terms of Use</a></li>
								<li><a href="#">Privecy Policy</a></li>
								<li><a href="#">Refund Policy</a></li>
								<li><a href="#">Billing System</a></li>
								<li><a href="#">Ticket System</a></li>
							</ul>
						</div>
					</div>
					<div class="col-sm-2">
						<div class="single-widget">
							<h2>About Shopper</h2>
							<ul class="nav nav-pills nav-stacked">
								<li><a href="#">Company Information</a></li>
								<li><a href="#">Careers</a></li>
								<li><a href="#">Store Location</a></li>
								<li><a href="#">Affillate Program</a></li>
								<li><a href="#">Copyright</a></li>
							</ul>
						</div>
					</div>
					<div class="col-sm-3 col-sm-offset-1">
						<div class="single-widget">
							<h2>About Shopper</h2>
							<form action="#" class="searchform">
								<input type="text" placeholder="Your email address" />
								<button type="submit" class="btn btn-default"><i class="fa fa-arrow-circle-o-right"></i></button>
								<p>Get the most recent updates from <br />our site and be updated your self...</p>
							</form>
						</div>
					</div>
					
				</div>
			</div>
		</div>
		
		<div class="footer-bottom">
			<div class="container">
				<div class="row">
					<p class="pull-left">Copyright © 2013 E-SHOPPER Inc. All rights reserved.</p>
					<p class="pull-right">Designed by <span><a target="_blank" href="http://www.themeum.com">Themeum</a></span></p>
				</div>
			</div>
		</div>
		
	</footer><!--/Footer-->

app/views/layouts/_header.html.erb
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<header id="header"><!--header-->
		<div class="header_top"><!--header_top-->
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<div class="contactinfo">
							<ul class="nav nav-pills">
								<li><a href="#"><i class="fa fa-phone"></i> +2 95 01 88 821</a></li>
								<li><a href="#"><i class="fa fa-envelope"></i> info@domain.com</a></li>
							</ul>
						</div>
					</div>
					<div class="col-md-6">
						<div class="social-icons pull-right">
							<ul class="nav navbar-nav">
								<li><a href="#"><i class="fa fa-facebook"></i></a></li>
								<li><a href="#"><i class="fa fa-twitter"></i></a></li>
								<li><a href="#"><i class="fa fa-linkedin"></i></a></li>
								<li><a href="#"><i class="fa fa-dribbble"></i></a></li>
								<li><a href="#"><i class="fa fa-google-plus"></i></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div><!--/header_top-->
		
		<div class="header-middle"><!--header-middle-->
			<div class="container">
				<div class="row">
					<div class="col-xl-4">
						<div class="logo pull-left">
							<a href="home.html"> 
							<%= image_tag "home/logo.png", alt: "Logo" %></a>
						</div>
						<div class="btn-group pull-right">
							<div class="btn-group ">
								<button type="button" class="btn btn-default dropdown-toggle usa" data-toggle="dropdown">
									<%= t(".language") %>
									<span class="caret"></span>
								</button>
								<ul class="dropdown-menu">
									<li><%= link_to t(".english"), locale:"en" %></li>
									<li><%= link_to t(".vietnamese"), locale:"vi" %></li>
                </ul>
							</div>
							<div class="btn-group">
								<button type="button" class="btn btn-default dropdown-toggle usa" data-toggle="dropdown">
									DOLLAR
									<span class="caret"></span>
								</button>
								<ul class="dropdown-menu">
									<li><a href="#">Canadian Dollar</a></li>
									<li><a href="#">Pound</a></li>
								</ul>
							</div>
						</div>
					</div>
					<div class="col-md-8">
						<div class="shop-menu pull-right">
							<ul class="nav navbar-nav">
								<li><a href=<%= users_path %>><i class="fa fa-user"></i><%= t(".account") %></a></li>
								<li><a href="#"><i class="fa fa-star"></i><%= t(".wishlist")%></a></li>
								<li><a href="checkout.html"><i class="fa fa-crosshairs"></i><%= t(".checkout")%></a></li>
								<li><a href=<%= cart_path%>><%= t(".cart")%> <i class="fa fa-shopping-cart">
                  <% if user_signed_in? %>
                    <span class='badge badge-success' ><%= current_order.order_items.size%></span>
                  <% end %>
                  </i></a>
                </li>
								<% if !user_signed_in? %>
                  <li>
                    <a href=<%= new_user_session_path %>><i class="fa fa-sign-in" aria-hidden="true"></i><%= t(".login") %>
                  	</a></li>
                  <li>
                    <a href=<%= new_user_registration_path %>><i class="fa fa-user-plus" aria-hidden="true"></i><%= t(".register") %>
                  	</a></li>
                <% else %>
                  <li>
                    <li class="dropdown">
                      <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-user-circle-o" aria-hidden="true"></i>
                        <%= current_user.name%> <b class="caret"></b>
                      </a>
                      <ul class="dropdown-menu">
                        <li><%= link_to t(".profile") , current_user %></li>
                        <li><%= link_to t(".edit_profile"), edit_user_path(current_user) %></li>
                        <li><%= link_to t(".edit_password"), edit_user_registration_path %></li>
                        <li>
                          <%= link_to destroy_user_session_path, method: :delete, :class => "btn btn-small" do %>
                            <%= t(".signout") %>
                            <i class="fa fa-sign-in" aria-hidden="true"></i>
                          <% end %>
                        </li>
                      </ul> 
                    </li>
                  </li>
               	<% end %>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div><!--/header-middle-->
	
		<div class="header-bottom"><!--header-bottom-->
			<div class="container">
				<div class="row">
					<div class="col-md-9">
						<div class="navbar-header">
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
								<span class="sr-only">Toggle navigation</span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
							</button>
						</div>
						<div class="mainmenu pull-left">
							<ul class="nav navbar-nav collapse navbar-collapse">
								<li><a href= <%= root_path%> ><%= t(".home")%></a></li>
								<li class="dropdown"><a href="#"><%= t(".shop")%><i class="fa fa-angle-down"></i></a>
                  <ul role="menu" class="sub-menu">
                    <li><a href=<%= products_path%>><%= t(".products")%></a></li>
										<li><a href="checkout.html"><%= t(".checkout")%></a></li> 
										<li><a href="cart.html"><%= t(".cart")%></a></li> 
                  </ul>
                </li> 
								<li class="dropdown"><a href="#"><%= t(".blog")%><i class="fa fa-angle-down"></i></a>
                  <ul role="menu" class="sub-menu">
                    <li><a href="blog.html"><%= t(".blog_list")%></a></li>
										<li><a href="blog-single.html"><%= t(".blog_single")%></a></li>
                  </ul>
                </li> 
								<li><a href="404.html"><%= t(".404")%></a></li>
								<li><a href="contact-us.html"><%= t(".contact")%></a></li>
							</ul>
						</div>
					</div>
					<div class="col-md-3">
						<div class="search_box pull-right">
							<input type="text" placeholder="<%= t(".search")%>"/>
						</div>
					</div>
				</div>
			</div>
		</div><!--/header-bottom-->
</header><!--/header-->

app/views/orders/show.html.erb
<section id="cart_items">
  <div class="container">
    <div class="breadcrumbs">
      <ol class="breadcrumb">
        <li><a href=<%= root_path%>>Home</a></li>
        <li class="active">Shopping Cart</li>
      </ol>
      <h2>Total cart: <%= total%>$</h2>
    </div>
</ul>
    <div class="table-responsive cart_info">
      <table class="table table-condensed">
        <thead>
          <tr class="cart_menu">
            <td class="image"><h3>Item</h3></td>
            <td class="title"><h3>NameProduct</h3></td>
            <td class="price"><h3>Price</h3></td>
            <td class="quantity"><h3>Quantity</h3></td>
            <td class="total"><h3>Total<h3></td>
            <td></td>
          </tr>
        </thead>
        <tbody>
        <% @order_items.all.each do |oi| %>
          <tr>
            <td>
              <a><%=image_tag oi.product.url_image, size: "130" , alt:""%></a>
            </td>
            <td class="cart_description">
              <h3><a href=<%= product_url(id: oi.product.id)%>><%= oi.product.title %></a></h3>
            </td>
            <td class="cart_price">
              <h3><%= oi.product.price %>$</h3>
            </td>
            <td class="cart_quantity">
              <div class="cart_quantity_button">
                <h2><a class="cart_quantity_up" href=<%= add_quantity_url(id: oi.id)%>> + </a></h2>
                <input class="cart_quantity_input" type="text" name="quantity" value=<%= oi.quantity %> autocomplete="off" size="2">
                <a class="cart_quantity_down" href=<%= reduce_quantity_url(id: oi.id)%>> - </a>
              </div>
            </td>
            <td class="cart_total">
              <h3><%= oi.product.price.to_d * oi.quantity.to_d %>$</h3>
            </td>
            <td>
              <h3><%= link_to 'Delete', delete_cart_url(id: oi.id),class: "btn btn-default", method: :delete, data: {confirm: "Are you sure"} %><h3>
            </td>
          </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>
</section> 

app/views/products/_product.html.erb
<div class="col-sm-4">
  <div class="product-image-wrapper">
    <div class="single-products">
      <div class="productinfo text-center">
        <%= image_tag product.url_image ,alt: "" %>
        <h2><%=product.price%>$</h2>
        <p><%=product.title%></p>
        <a href="#" class="btn btn-default add-to-cart"><i class="fa fa-shopping-cart"></i><%= t(".add_to_cart")%></a>
      </div>
      <div class="product-overlay">
        <div class="overlay-content">
          <h2><%=product.price%>$</h2>
          <p><%=product.type_product%></p>
          <a href=<%= add_cart_url(id: product.id)%> class="btn btn-default add-to-cart"><i class="fa fa-shopping-cart"></i><%= t(".add_to_cart")%></a>
          <br>
          <% if user_signed_in? && current_user.admin %>
            <button class="btn btn-default "><%= link_to t(".delete"), product, method: :delete, data: { confirm: t(".confirm") } %></button>
            <button class="btn btn-default "><%= link_to t(".edit"),  edit_product_url(id: product.id)%></button>
          <% end %>
        </div>
      </div>
    </div>
    <div class="choose">
      <ul class="nav nav-pills nav-justified">
        <li><a href=""><i class="fa fa-plus-square"></i><%= t(".add_to_wishlist")%></a></li>
      </ul>
    </div>
  </div>
</div>

app/views/products/show.html.erb
<div class="container">
	<div class="row">
    <div class="col-md-12">
      <%= image_tag @product.url_image ,alt: "" %>
      <h2>NameProduct: <%=@product.title%></h2>
      <h2>TypeProduct: <%=@product.type_product%></h2>
      <h3>Price: <%=@product.price%>$</h3>
      <h3>Quantity: <%=@product.quantity%></h3>
      <h3>Content: <%=@product.content%></h3>
    </div>
  </div>
</div>

app/views/static_pages/home.html.erb
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
<section id="slider"><!--slider-->
  <div class="container">
    <div class="row">
      <div class="col-sm-12">
        <div id="slider-carousel" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#slider-carousel" data-slide-to="0" class=""></li>
            <li data-target="#slider-carousel" data-slide-to="1" class="active"></li>
            <li data-target="#slider-carousel" data-slide-to="2" class=""></li>
          </ol>
          
          <div class="carousel-inner">
            <div class="item">
              <div class="col-sm-6">
                <h1><span>E</span>-SHOPPER</h1>
                <h2>Free E-Commerce Template</h2>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
                <button type="button" class="btn btn-default get">Get it now</button>
              </div>
              <div class="col-sm-6">
                <%= image_tag "home/girl1.jpg" ,class:"girl img-responsive" ,alt:"" %>
                <%= image_tag "home/pricing.png" ,class:"pricing" ,alt:"" %>
              </div>
            </div>
            <div class="item active">
              <div class="col-sm-6">
                <h1><span>E</span>-SHOPPER</h1>
                <h2>100% Responsive Design</h2>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
                <button type="button" class="btn btn-default get">Get it now</button>
              </div>
              <div class="col-sm-6">
                <%= image_tag "home/girl2.jpg" ,class:"girl img-responsive" ,alt:"" %>
                <%= image_tag "home/pricing.png" ,class:"pricing" ,alt:"" %>
              </div>
            </div>
            
            <div class="item">
              <div class="col-sm-6">
                <h1><span>E</span>-SHOPPER</h1>
                <h2>Free Ecommerce Template</h2>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. </p>
                <button type="button" class="btn btn-default get">Get it now</button>
              </div>
              <div class="col-sm-6">
                <%= image_tag "home/girl3.jpg", class:"girl img-responsive" ,alt:"" %>
                <%= image_tag "home/pricing.png", class:"pricing" ,alt:"" %>
              </div>
            </div>
            
          </div>
  
          <a href="#slider-carousel" class="left control-carousel hidden-xs" data-slide="prev">
            <i class="fa fa-angle-left"></i>
          </a>
          <a href="#slider-carousel" class="right control-carousel hidden-xs" data-slide="next">
            <i class="fa fa-angle-right"></i>
          </a>
        </div>
        
      </div>
    </div>
  </div>
</section>
<section>
  <div class="container">
    <div class="row">
      <div>
        <%= render 'category_sidebar'%>
      </div>
      <div class="col-sm-9 padding-right">
        <div class="features_items"><!--features_items-->
          <h2 class="title text-center">Features Items</h2>
          <% Product.order(id: :DESC).limit(6).each do |p| %>
            <div class="col-sm-4">
              <div class="product-image-wrapper">
                <div class="single-products">
                  <div class="productinfo text-center">
                    <%= image_tag p.url_image ,alt: "" %>
                    <h2><%=p.price%>$</h2>
                    <p><%=p.title%></p>
                    <a href="#" class="btn btn-default add-to-cart"><i class="fa fa-shopping-cart"></i><%= t("products.product.add_to_cart")%></a>
                  </div>
                  <div class="product-overlay">
                    <div class="overlay-content">
                      <h2><%=p.price%>$</h2>
                      <p><%=p.type_product%></p>
                      <a href=<%= add_cart_url(id: p.id)%> class="btn btn-default add-to-cart"><i class="fa fa-shopping-cart"></i><%= t("products.product.add_to_cart")%></a>
                      <br>
                      <% if user_signed_in? && current_user.admin? %>
                        <button class="btn btn-default "><%= link_to t("products.product.delete"), p, method: :delete, data: { confirm: t("products.product.confirm") } %></button>
                        <button class="btn btn-default "><%= link_to t("products.product.edit"),  edit_product_url(id: p.id)%></button>
                      <% end %>
                    </div>
                  </div>
                </div>
                <div class="choose">
                  <ul class="nav nav-pills nav-justified">
                    <li><a href=""><i class="fa fa-plus-square"></i><%= t("products.product.add_to_wishlist")%></a></li>
                  </ul>
                </div>
              </div>
            </div>
          <% end %>
        </div><!--features_items-->
        
        <div>
          <%= render 'category_tab'%>
        </div>

        <div>
          <%= render 'recommended_item'%>
        </div>
      </div>
    </div>
  </div>
</section>

app/views/users/show.html.erb
<div class="container">
	<div class="row">
    <div class="col-md-12">
      <h1>
      <%= render @user%>
      </h1>
    </div>
  </div>
</div>